package ludumdare18.gameobjects
{
    import ludumdare18.behaviors.ParallaxBehavior;
    import ludumdare18.G;
    import stego.constants.Colors;
    import stego.GameInterface;
	import stego.ui.TextField;
	
	/**
     * ...
     * @author Mike Meyer
     */
    public class Clock extends TextField
    {
        override public function init(game:GameInterface):void
        {
            super.init(game);
            setFontColor(Colors.WHITE);
            setFontSize(16);
            addBehavior(new ParallaxBehavior(this, game, 1, 10, 10));
        }
        override public function update(elapsedTime:Number):void
        {
            super.update(elapsedTime);

            setText("Time Left - "+uint(G.spawner.timeleft));
        }
    }

}
