﻿package stego.constants
{
    import flash.ui.Keyboard;

    /**
     * enumerates keycodes
     * includes ones that for whatever reason are not in flash.ui.Keyboard
     * and adds teh ones that are not
     * @author Mike Meyer
     */
    public class Keyboard
    {
        public static const BACKSPACE : uint = flash.ui.Keyboard.BACKSPACE;
        public static const CAPS_LOCK : uint = flash.ui.Keyboard.CAPS_LOCK;
        public static const CONTROL : uint = flash.ui.Keyboard.CONTROL;
        public static const DELETE : uint = flash.ui.Keyboard.DELETE;
        public static const DOWN : uint = flash.ui.Keyboard.DOWN;
        public static const END : uint = flash.ui.Keyboard.END;
        public static const ENTER : uint = flash.ui.Keyboard.ENTER;
        public static const ESCAPE : uint = flash.ui.Keyboard.ESCAPE;
        public static const F1 : uint = flash.ui.Keyboard.F1;
        public static const F10 : uint = flash.ui.Keyboard.F10;
        public static const F11 : uint = flash.ui.Keyboard.F11;
        public static const F12 : uint = flash.ui.Keyboard.F12;
        public static const F13 : uint = flash.ui.Keyboard.F13;
        public static const F14 : uint = flash.ui.Keyboard.F14;
        public static const F15 : uint = flash.ui.Keyboard.F15;
        public static const F2 : uint = flash.ui.Keyboard.F2;
        public static const F3 : uint = flash.ui.Keyboard.F3;
        public static const F4 : uint = flash.ui.Keyboard.F4;
        public static const F5 : uint = flash.ui.Keyboard.F5;
        public static const F6 : uint = flash.ui.Keyboard.F6;
        public static const F7 : uint = flash.ui.Keyboard.F7;
        public static const F8 : uint = flash.ui.Keyboard.F8;
        public static const F9 : uint = flash.ui.Keyboard.F9;
        public static const HOME : uint = flash.ui.Keyboard.HOME;
        public static const INSERT : uint = flash.ui.Keyboard.INSERT;
        public static const LEFT : uint = flash.ui.Keyboard.LEFT;
        public static const NUMPAD_0 : uint = flash.ui.Keyboard.NUMPAD_0;
        public static const NUMPAD_1 : uint = flash.ui.Keyboard.NUMPAD_1;
        public static const NUMPAD_2 : uint = flash.ui.Keyboard.NUMPAD_2;
        public static const NUMPAD_3 : uint = flash.ui.Keyboard.NUMPAD_3;
        public static const NUMPAD_4 : uint = flash.ui.Keyboard.NUMPAD_4;
        public static const NUMPAD_5 : uint = flash.ui.Keyboard.NUMPAD_5;
        public static const NUMPAD_6 : uint = flash.ui.Keyboard.NUMPAD_6;
        public static const NUMPAD_7 : uint = flash.ui.Keyboard.NUMPAD_7;
        public static const NUMPAD_8 : uint = flash.ui.Keyboard.NUMPAD_8;
        public static const NUMPAD_9 : uint = flash.ui.Keyboard.NUMPAD_9;
        public static const NUMPAD_ADD : uint = flash.ui.Keyboard.NUMPAD_ADD;
        public static const NUMPAD_DECIMAL : uint = flash.ui.Keyboard.NUMPAD_DECIMAL;
        public static const NUMPAD_DIVIDE : uint = flash.ui.Keyboard.NUMPAD_DIVIDE;
        public static const NUMPAD_ENTER : uint = flash.ui.Keyboard.NUMPAD_ENTER;
        public static const NUMPAD_MULTIPLY : uint = flash.ui.Keyboard.NUMPAD_MULTIPLY;
        public static const NUMPAD_SUBTRACT : uint = flash.ui.Keyboard.NUMPAD_SUBTRACT;
        public static const PAGE_DOWN : uint = flash.ui.Keyboard.PAGE_DOWN;
        public static const PAGE_UP : uint = flash.ui.Keyboard.PAGE_UP;
        public static const RIGHT : uint = flash.ui.Keyboard.RIGHT;
        public static const SHIFT : uint = flash.ui.Keyboard.SHIFT;
        public static const SPACE : uint = flash.ui.Keyboard.SPACE;
        public static const TAB : uint = flash.ui.Keyboard.TAB;
        public static const UP : uint = flash.ui.Keyboard.UP;

        public static const A : uint = 65;
        public static const B : uint = 66;
        public static const C : uint = 67;
        public static const D : uint = 68;
        public static const E : uint = 69;
        public static const F : uint = 70;
        public static const G : uint = 71;
        public static const H : uint = 72;
        public static const I : uint = 73;
        public static const J : uint = 74;
        public static const K : uint = 75;
        public static const L : uint = 76;
        public static const M : uint = 77;
        public static const N : uint = 78;
        public static const O : uint = 79;
        public static const P : uint = 80;
        public static const Q : uint = 81;
        public static const R : uint = 82;
        public static const S : uint = 83;
        public static const T : uint = 84;
        public static const U : uint = 85;
        public static const V : uint = 86;
        public static const W : uint = 87;
        public static const X : uint = 88;
        public static const Y : uint = 89;
        public static const Z : uint = 90;

        public static const ONE : uint   = 49;
        public static const TWO : uint   = 50;
        public static const THREE : uint = 51;
        public static const FOUR : uint  = 52;
        public static const FIVE : uint  = 53;
        public static const SIX : uint   = 54;
        public static const SEVEN : uint = 55;
        public static const EIGHT : uint = 56;
        public static const NINE : uint  = 57;
        public static const ZERO : uint  = 48;

        public static const SEMICOLON : uint = 186;
        public static const EQUALS : uint = 187;
        public static const COMMA : uint = 188;
        public static const HYPHEN : uint = 189;
        public static const PERIOD : uint = 190;
        public static const SLASH : uint = 191;
        public static const BACKQUOTE : uint = 192;
        public static const SQUARE_BRACKET_OPEN : uint = 219;
        public static const BACKSLASH : uint = 220;
        public static const SQUARE_BRACKET_CLOSE : uint = 221;
        public static const SINGLE_QUOTE : uint = 222;
        public static const PARENTHESIS_CLOSE : uint = 48;
        public static const EXCLAMATION : uint = 49;
        public static const AT_SYMBOL : uint = 50;
        public static const OCTOTHORPE : uint = 51;
        public static const DOLLAR_SIGN : uint = 52;
        public static const PERCENT_SIGN : uint = 53;
        public static const CARET : uint = 54;
        public static const AMPERSAND : uint = 55;
        public static const ASTERISK : uint = 56;
        public static const PARENTHESIS_OPEN : uint = 57;
        public static const COLON : uint = 186;
        public static const PLUS : uint = 187;
        public static const LESS_THAN : uint = 188;
        public static const UNDERSCORE : uint = 189;
        public static const GREATER_THAN : uint = 190;
        public static const QUESTION_MARK : uint = 191;
        public static const TILDE : uint = 192;
        public static const CURLY_BRACE_OPEN : uint = 219;
        public static const PIPE : uint = 220;
        public static const CURLY_BRACE_CLOSE : uint = 221;
        public static const QUOTE : uint = 222;
    }

}
