package ludumdare18.behaviors
{
    import stego.GameObject;
    import stego.util.InputUtil;
    import stego.util.MathUtil;
	/**
     * ...
     * @author Mike Meyer
     */
    public class HoppingEnemyBehavior extends EnemyBehavior
    {
        public var jumpSpeed:Number = 300;
        public function HoppingEnemyBehavior(character:GameObject, inputUtil:InputUtil, startOnRight:Boolean)
        {
            super(character, inputUtil, startOnRight);
            speed = 50;
        }

        override public function update(elapsedTime:Number):void
        {
            super.update(elapsedTime);
        }

        override protected function accelerate(elapsedTime:Number):void
        {
            if (character.isOnGround)
            {
                character.dy = -jumpSpeed;
            }

            character.dx = MathUtil.moveToward(character.dx, (target.x>character.x)?speed:-speed, accel * elapsedTime);
        }

    }

}
