﻿package stego.behavior
{
    import stego.GameObject;
    import stego.gameobject.PlatformerCharacter;
    import stego.util.InputUtil;

    /**
     * ...
     * @author Mike Meyer
     */
    public class Base implements IBehavior
    {
        public var character:GameObject;

        private var _inputUtil:InputUtil;
        public function get inputUtil():InputUtil { return _inputUtil; }
        public function set inputUtil(value:InputUtil):void
        {
            _inputUtil = value;
        }

        public function Base(character:GameObject, inputUtil:InputUtil)
        {
            this.character = character;
            _inputUtil = inputUtil;
        }

        /**
         * process one frame
         * Override this!
         */
        public function update(elapsedTime:Number):void
        {
        }
    }

}
