﻿package stego.gameobject
{
    import flash.events.Event;
    import flash.geom.Point;
    import flash.geom.Rectangle;
    import stego.GameObject;
    import stego.util.collision.CollisionInfo;

    /**
     * ...
     * @author Mike Meyer
     */
    public class PlatformerCharacter extends GameObject
    {
        public static const EVENT_DEATH:String = "death";

        public var dying:Boolean;

        /**
         * set initial values after spawning
         */
        public function restart():void
        {
            isOnGround = false;
            physicsEnabled = true;
            dying = false;
            this.dr = 0;
            this.rotation = 0;
            this.scaleX = 1;
            this.scaleY = 1;
        }

        /**
         * make the character face right
         */
        public function faceRight():void
        {
            scaleX = Math.abs(scaleX);
        }

        /**
         * make the character face left
         */
        public function faceLeft():void
        {
            scaleX = -Math.abs(scaleX);
        }
    }
}
