﻿package stego.script
{
    /**
     * ...
     * @author Mike Meyer
     */
    public class Step
    {
        /**
         * run the instruction
         * @return true if finished, false if it needs to be run some more
         */
        public function execute(timeDelta:Number):Boolean
        {
            // OVERRIDE ME!
            return true;
        }

        /**
         * clear out any state information the step might be saving and
         * go back to like when it was first created
         */
        public function restart():void
        {}
    }

}
